Subject: Re: [bug#51838] [PATCH v3 06/43] guix: node-build-system: Add #:absent-dependencies argument.

From: Philip McGrath <[email-masked]>
Date: Sun, 12 Dec 2021 15:22:41 -0500

On 12/12/21 10:31, Pierre Langlois wrote:
> 
> Philip McGrath <[email-masked]> writes:
> 
>> * guix/build-system/node.scm (lower, node-build): Add optional
>> argument #:absent-dependencies with default of ''(). Pass it on
>> to the build-side code.
>> * guix/build/node-build-system.scm (patch-dependencies): Respect
>> the #:absent-dependencies argument, removing specified npm
>> packages from the "dependencies" or "devDependencies" tables
>> in "package.json".
> 
> Nice, I like this new option, I've needed this functionnality before as
> well. For instance I've seen dependencies like "prebuild-install" [0]
> for which the whole purepose is to download binaries instead of building
> them... in Guix we always want to remove those dependencies.
> 
> I'd suggest to add documentation for this new option in the manual, but
> that could be done as a follow-up.

I agree documentation would be good: I don't think there's any for 
node-build-system at all, yet. I haven't written texinfo before, but I 
may give it a try as a follow-up.

-Philip